Get Providers
curl --request GET \
--url https://app.silnahealth.com/api/public/v1/providers/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.silnahealth.com/api/public/v1/providers/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.silnahealth.com/api/public/v1/providers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"has_more": true,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"legal_name": "<string>",
"dba": "<string>",
"silna_url": "<string>",
"source_id": "my-unique-id-123"
}
],
"first_id": null,
"last_id": null
}{
"message": "<string>"
}{
"message": "<string>"
}Providers
Get Providers
GET
/
public
/
v1
/
providers
/
Get Providers
This will only return providers that you have access to through your API token.
If you are using an API token created through an MSO, we will return all providers belonging to your MSO.
If you are using an API token created through a provider, will will return only that provider.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I